## org.apache.poi.hpsf
Class TypeReader

    java.lang.Object
      org.apache.poi.hpsf.TypeReader

public class TypeReader
extends java.lang.Object

Reader for specific data types.

Since:
  2002-12-09
Version:
  $Id: TypeReader.java,v 1.2.4.2 2004/02/22 11:54:45 glens Exp $
Author:
  Rainer Klute (klute@rainer-klute.de)
See Also:
  `Property`, `Variant`

Constructor Summary
`TypeReader()`

Method Summary
`static java.lang.Object` `read(byte[] src, int offset, int length, int type)` Reads a variant data type from a byte array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeReader

    public TypeReader()

Method Detail

### read

    public static java.lang.Object read(byte[] src,
                                        int offset,
                                        int length,
                                        int type)

  Reads a variant data type from a byte array.

  Parameters:
    `src` - The byte array
    `offset` - The offset in the byte array where the variant starts
    `length` - The length of the variant including the variant type field
    `type` - The variant type to read
  Returns:
    A Java object that corresponds best to the variant field. For example, a VT_I4 is returned as a `Long`, a VT_LPSTR as a `String`.
  See Also:
    `Variant`

Copyright © 2003 Apache Software Foundation.